Summary:	Optional user space component for Host AP driver
Name:		hostapd
Version:	2.6
Release:	1
License:	GPLv2
Group:		System/Servers
Url:		http://hostap.epitest.fi/hostapd/
Source0:	http://hostap.epitest.fi/releases/%{name}-%{version}.tar.gz
Source3:	%{name}.service
Patch0:		%{name}-config.patch
Patch1:			hostapd-2.5-mga-defconfig.patch
# CVE-2017-130[77-82, 86-88]
Patch2:			rebased-v2.6-0001-hostapd-Avoid-key-reinstallation-in-FT-handshake.patch
Patch3:			rebased-v2.6-0002-Prevent-reinstallation-of-an-already-in-use-group-ke.patch
Patch4:			rebased-v2.6-0003-Extend-protection-of-GTK-IGTK-reinstallation-of-WNM-.patch
Patch5:			rebased-v2.6-0004-Prevent-installation-of-an-all-zero-TK.patch
Patch6:			rebased-v2.6-0005-Fix-PTK-rekeying-to-generate-a-new-ANonce.patch
Patch7:			rebased-v2.6-0006-TDLS-Reject-TPK-TK-reconfiguration.patch
# wpa_supplicant only
#Patch8:			rebased-v2.6-0007-WNM-Ignore-WNM-Sleep-Mode-Response-without-pending-r.patch
Patch9:			rebased-v2.6-0008-FT-Do-not-allow-multiple-Reassociation-Response-fram.patch

BuildRequires:	systemd-units
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(openssl)
Requires(post,preun):	rpm-helper
Requires(post,preun,postun):	systemd

%description
Hostapd is an optional user space component for Host AP driver. It adds
more features to the basic IEEE 802.11 management included in the kernel
driver: using external RADIUS authentication server for MAC address
based access control, IEEE 802.1X Authenticator and dynamic WEP keying,
RADIUS accounting.

%files
%doc %{name}/ChangeLog %{name}/README
%{_sbindir}/%{name}
%{_sbindir}/%{name}_cli
%config(noreplace) %{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.accept
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.deny

#-------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
pushd %{name}
cat defconfig | sed \
	-e '/^#CONFIG_DRIVER_NONE=y/s/^#//' \
	-e '/^#CONFIG_IEEE80211R=y/s/^#//' \
	-e '/^#CONFIG_IEEE80211AC=y/s/^#//' \
	-e '/^#CONFIG_FULL_DYNAMIC_VLAN=y/s/^#//' \
	-e '/^#CONFIG_LIBNL32=y/s/^#//' \
	> .config
echo "CFLAGS += -I%{_includedir}/libnl3" >> .config
echo "LIBS += -L%{_libdir}" >> .config
sed -i -e 's/CFLAGS =.*/CFLAGS = -MMD %{optflags}/' Makefile
%make CC="%{__cc}" #CFLAGS="-MMD %{optflags}"
popd

%install
pushd %{name}
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}/%{_unitdir}
install -m 755 %{name}        %{buildroot}%{_sbindir}
install -m 755 %{name}_cli    %{buildroot}%{_sbindir}
install -m 600 %{name}.conf   %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.accept %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.deny   %{buildroot}%{_sysconfdir}/%{name}
install -pm 644 %{SOURCE3}   %{buildroot}/%{_unitdir}/%{name}.service
popd

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%changelog
